Bug 26417 - UBSAN error: bfd/elf64-alpha.c:3465:13:
Summary: UBSAN error: bfd/elf64-alpha.c:3465:13:
Status: RESOLVED FIXED
Alias: None
Product: binutils
Classification: Unclassified
Component: binutils (show other bugs)
Version: 2.34
: P2 normal
Target Milestone: 2.36
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-08-20 12:03 UTC by Martin Liska
Modified: 2020-08-31 00:37 UTC (History)
1 user (show)

See Also:
Host:
Target:
Build:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Liska 2020-08-20 12:03:19 UTC
The following fails when I build binutils with:
configure --build=x86_64-linux --disable-nls --disable-gdb --disable-gdbserver --disable-sim --disable-readline --disable-libdecnumber --enable-obsolete --target=alpha-linux CFLAGS="-g -O2 -fsanitize=address,undefined -Wno-error" CXXLAGS="-g -O2 -fsanitize=address,undefined -Wno-error" LDFLAGS="-ldl"
Target: alpha-linux
FAIL: TLS -fpic and -fno-pic exec
Executing on host: sh -c {/dev/shm/f4ptcwuc/ld/ld-new   -o tmpdir/tlsbinr -z norelro -L/home/mliska/Programming/binutils/ld/testsuite/ld-alpha -relax -melf64alpha --hash-style=sysv tmpdir/libtlslib.so tmpdir/align.o tmpdir/tlsbinpic.o tmpdir/tlsbin.o  2>&1}  /dev/null ld.tmp (timeout = 300)
/home/mliska/Programming/binutils/bfd/elf64-alpha.c:3465:13: runtime error: member access within null pointer of type 'struct alpha_elf_link_hash_entry'
Comment 1 Nick Clifton 2020-08-26 15:39:05 UTC
Hi Martin,

  I think that this problem should be fixed by commit eae0b5c3b2.
  Please could you check ?

Cheers
  Nick
Comment 2 Alan Modra 2020-08-31 00:37:47 UTC
Yes, it is fixed